Package org.jboss.resteasy.jose.jws.crypto

## Class HMACProvider

- java.lang.Object
- - org.jboss.resteasy.jose.jws.crypto.HMACProvider

- All Implemented Interfaces:
    `SignatureProvider`

      public class HMACProvider
      extends Object
      implements SignatureProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HMACProvider()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getJavaAlgorithm​(Algorithm alg)` |
    `static Mac` | `getMAC​(Algorithm alg)` |
    `static byte[]` | `sign​(byte[] data, Algorithm algorithm, byte[] sharedSecret)` |
    `static byte[]` | `sign​(byte[] data, Algorithm algorithm, SecretKey key)` |
    `static boolean` | `verify​(JWSInput input, byte[] sharedSecret)` |
    `boolean` | `verify​(JWSInput input, String key)` |
    `static boolean` | `verify​(JWSInput input, SecretKey key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HMACProvider

          public HMACProvider()

  - ### Method Detail

    - #### getJavaAlgorithm

          public static String getJavaAlgorithm​(Algorithm alg)

    - #### getMAC

          public static Mac getMAC​(Algorithm alg)

    - #### sign

          public static byte[] sign​(byte[] data,
                                    Algorithm algorithm,
                                    byte[] sharedSecret)

    - #### sign

          public static byte[] sign​(byte[] data,
                                    Algorithm algorithm,
                                    SecretKey key)

    - #### verify

          public static boolean verify​(JWSInput input,
                                       SecretKey key)

    - #### verify

          public static boolean verify​(JWSInput input,
                                       byte[] sharedSecret)

    - #### verify

          public boolean verify​(JWSInput input,
                                String key)

      Specified by:
        `verify` in interface `SignatureProvider`